<div class="container ">
  <div class="row">

    <div class="col-md-2">
      <!-- {{userSignUpForm.value | json}} -->
    </div>
    <!-- <div class="col-md-8 col-md-offset-2"> -->
    <div class="col-md-8">
      <div class="blankDiv"></div>
      <form role="form" [formGroup]="userSignUpForm" novalidate (ngSubmit)="save(userSignUpForm.value, userSignUpForm.valid)">

        <legend class="text-center">Register</legend>

        <fieldset>
          <legend>Account Details</legend>

          <div class="form-group col-md-6">
            <label for="first_name">First name</label>
            <input formControlName="firstName" type="text" class="form-control" name="" id="firstName" placeholder="First Name">
          </div>

          <div class="form-group col-md-6">
            <label for="last_name">Last name</label>
            <input formControlName="lastName" type="text" class="form-control" name="lastName" id="" placeholder="Last Name">
          </div>

          <div class="form-group col-md-6">
            <label for="email">Email</label>
            <input formControlName="email" type="email" class="form-control" name="" id="email" placeholder="Email">
          </div>

          <div class="form-group col-md-6">
            <label for="mobile">Mobile Number</label>
            <input formControlName="mobile" type="text" class="form-control" name="" id="mobile" placeholder="Mobile Number">
          </div>

          <div class="form-group col-md-6">
            <label for="password">Password</label>
            <input formControlName="password" type="password" class="form-control" name="" id="password" placeholder="Password">
          </div>

          <div class="form-group col-md-6">
            <label for="confirm_password">Confirm Password</label>
            <input formControlName="confirmPassword" type="password" class="form-control" name="" id="confirmPassword" placeholder="Confirm Password">
          </div>


        </fieldset>

        <fieldset>
          <legend>Other Details</legend>

          <!-- <div class="form-group col-md-6">
						<label for="gender">Age Group</label>
						<select  formControlName="name" class="form-control" name="" id="gender">
							<option>Below 20</option>
							<option>20-30</option>
							<option>30-40</option>
							<option>40-50</option>
							<option>Above 55</option>
						</select>
					</div> -->

          <div class="form-group col-md-6">
            <label for="gender">Gender</label>
            <select formControlName="gender" class="form-control" name="" id="gender">
              <option selected>Male</option>
              <option>Female</option>
              <option>Other</option>
            </select>
          </div>

          <div class="form-group col-md-6">
            <label for="city">City</label>
            <input formControlName="city" type="text" class="form-control" name="" id="city" placeholder="city">
          </div>

          <div class="form-group col-md-6">
            <label for="state">State</label>
            <input formControlName="state" type="text" class="form-control" name="" id="state" placeholder="State">
          </div>

          <div class="form-group col-md-6">
            <label for="country">Country</label>
            <input formControlName="country" type="text" class="form-control" name="" id="country" placeholder="Country">
          </div>

          <div class="form-group col-md-12">
            <label for="profession">Profession</label>
            <input formControlName="profession" type="text" class="form-control" name="" id="profession" placeholder="Profession">
          </div>

          <!-- <div class="form-group col-md-6">
						<label for="pinCode">Pin Code</label>
						<input type="text" class="form-control" name="" id="pinCode" placeholder="Pin Code">
					</div> -->


          <!-- 
					<div class="form-group col-md-12 hidden">
						<label for="specify">Please Specify</label>
						<textarea class="form-control" id="specify" name=""></textarea>
					</div> -->

        </fieldset>

        <div class="form-group">
          <div class="col-md-12 text-center">
            <div class="checkbox">
              <label>
                <input type="checkbox" value="" id=""> I accept the
                <a href="#">terms and conditions</a>.
              </label>
            </div>
          </div>
        </div>

        <div class="form-group">
          <div class="col-md-12 text-center">
            <button type="submit" class="btn btn-primary" [disabled]="submitted">
              Register
            </button>
            <a href="#">Already have an account?</a>
          </div>
        </div>

      </form>
    </div>

  </div>
</div>